> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/lifecycle-manager/update-instance-metadata-http/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update resource instance PUT https://example.itential.io/lifecycle-manager/resources/{modelId}/instances/{instanceId} Content-Type: application/json Updates the `name` and `description` fields of a resource instance. Reference: https://docs.itential.com/itential-cloud/api-reference/lifecycle-manager/update-instance-metadata-http ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `modelId` (string, required) — modelId - `instanceId` (string, required) — instanceId ### Body (application/json) This endpoint expects an object. - `name` (string, optional) — The name of the resource instance - `description` (string, optional, default: ) — Free-form text describing the resource instance ## Response ### 200 response - `data` (object, optional) - `_id` (any, required) - `name` (string, required) — The name of the resource instance - `description` (string, required, default: ) — Free-form text describing the resource instance - `modelId` (any, required) - `instanceData` (object, required, nullable) — The data for the resource instance - `lastAction` (object, required) — The last action that was run on this instance - `_id` (any, required) — The identifier of an action - `executionId` (any, required) - `name` (string, required) — The name of the action - `type` (enum, required) — The type of the action - Allowed values: `import`, `create`, `update`, `delete` - `status` (enum, required) — A single string describing the current activity status of this action - Allowed values: `running`, `error`, `complete`, `canceled`, `paused` - `created` (any, required) — An ISO date string denoting when this resource instance was created - `createdBy` (any, required) — The account identifier of the user who created this resource instance - `lastUpdated` (any, required) — An ISO date string denoting when this resource instance was last updated - `lastUpdatedBy` (any, required) — The account identifier of the user who last updated this resource instance - `instanceGroups` (list of object, optional) — The groups that this resource instance is a member of - `_id` (string, optional) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId. - `name` (string, optional) — The name of the document ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "data": { "name": "VLAN Service", "description": "EC2 Instance in US-EAST-1 with ID ec2-12345678", "instanceData": {}, "lastAction": { "_id": null, "name": "Create", "type": "import", "status": "running" }, "created": null, "createdBy": null, "lastUpdated": null, "lastUpdatedBy": null, "instanceGroups": [ { "_id": "string", "name": "myCoolDocumentName" } ] }, "message": "Successfully created the requested item", "metadata": {} } ``` **SDK Code** ```python import requests url = "https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId" payload = {} headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId'; const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources/modelId/instances/instanceId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```